aboutsummaryrefslogtreecommitdiff
path: root/install.sh
diff options
context:
space:
mode:
authorYaroslav <contact@yaroslavps.com>2020-05-03 23:54:41 +0300
committerYaroslav <contact@yaroslavps.com>2020-05-03 23:54:41 +0300
commit49d23f11f49daccf49e9c6cc9e7eabd6f4b4bfe4 (patch)
tree05fcb5719f4d9dd63e3e0d6811a30be9548e5b8e /install.sh
parentff88fbca675945015a0c59b18be65b74cdd7d989 (diff)
downloadswayrice-49d23f11f49daccf49e9c6cc9e7eabd6f4b4bfe4.tar.gz
swayrice-49d23f11f49daccf49e9c6cc9e7eabd6f4b4bfe4.zip
goodbye openvpn, hello wireguard
Diffstat (limited to 'install.sh')
-rwxr-xr-xinstall.sh7
1 files changed, 4 insertions, 3 deletions
diff --git a/install.sh b/install.sh
index 357e172..3f86907 100755
--- a/install.sh
+++ b/install.sh
@@ -5,16 +5,17 @@
if [ -z "$1" ]; then
echo "Specify username for new user"
+ exit 1;
fi
CLONEDIR=$PWD
# Install some basic programs
-pacman -Sy --noconfirm base-devel zsh man networkmanager openvpn neovim sway swaylock swayidle waybar egl-wayland imv swaybg xorg-server-xwayland termite kitty qt5-wayland wl-clipboard dbus tmux htop bemenu mupdf mpd ncmpcpp mpc mpv mplayer libnotify mako cronie rsync grim slop ffmpeg w3m youtube-dl youtube-viewer newsboat wget curl krita inkscape darktable gcc make fontconfig pkg-config fakeroot papirus-icon-theme alsa-utils pulseaudio pulseaudio-bluetooth imagemagick ntfs-3g unzip unrar gnome-themes-standard gtk-engine-murrine telegram-desktop qt5ct r udisks2 perl-term-readline-gnu transmission-cli transmission-remote-gtk python-pynvim python-pip calcurse acpi acpid gnupg noto-fonts-cjk noto-fonts-emoji ttf-joypixels powerline-fonts python-pygit2 polkit polkit-gnome zathura zathura-pdf-mupdf zathura-djvu gst-libav vifm blueman bluez acpilight powertop accountsservice lightdm xdg-user-dirs abook ranger terminus-font qutebrowser jq stow wdiff texlive-most pandoc units
+pacman -Sy --noconfirm base-devel zsh man networkmanager openresolv wireguard-tools neovim sway swaylock swayidle waybar egl-wayland imv swaybg xorg-server-xwayland termite kitty qt5-wayland wl-clipboard dbus tmux htop bemenu mupdf mpd ncmpcpp mpc mpv mplayer libnotify mako cronie rsync grim slop ffmpeg w3m youtube-dl youtube-viewer newsboat wget curl krita inkscape darktable gcc make fontconfig pkg-config fakeroot papirus-icon-theme alsa-utils pulseaudio pulseaudio-bluetooth imagemagick ntfs-3g unzip unrar gnome-themes-standard gtk-engine-murrine telegram-desktop qt5ct r bc udisks2 perl-term-readline-gnu transmission-cli transmission-remote-gtk python-pynvim python-pip python-pillow calcurse acpi acpid gnupg noto-fonts-cjk noto-fonts-emoji ttf-joypixels powerline-fonts python-pygit2 polkit polkit-gnome zathura zathura-pdf-mupdf zathura-djvu gst-libav vifm blueman bluez acpilight powertop accountsservice lightdm xdg-user-dirs abook ranger terminus-font qutebrowser jq stow wdiff texlive-most pandoc units isync notmuch
# Copy system config files
cp system/sudoers /etc/
-cp system/resolv.conf /etc/
+cp system/resolvconf.conf /etc/
cp system/NetworkManager/NetworkManager.conf /etc/NetworkManager/NetworkManager.conf
cp system/mkinitcpio.conf /etc/
cp systemd/hotspot.service /etc/systemd/system/
@@ -37,7 +38,7 @@ chown -R "$1:$1" build
cd build
sudo -u "$1" "git clone https://aur.archlinux.org/yay.git && cd yay && makepkg -si"
-yay -S --noconfirm aerc ttf-symbola stig pam-gnupg ncpamixer lightdm-mini-greeter plymouth-git mimeo xdg-utils-mimeo cli-visualizer
+yay -S --noconfirm aerc-git ttf-symbola stig pam-gnupg ncpamixer lightdm-mini-greeter plymouth-git mimeo xdg-utils-mimeo cli-visualizer
cd "$CLONEDIR"